Subject: [PATCH 8/8] ARM: smp: Remove local timer API

From: [email-masked] (Paul Mundt)
Date: Sat, 23 Feb 2013 01:25:00 +0900

On Fri, Feb 22, 2013 at 11:15:45AM +0000, Mark Rutland wrote:
> One thing that struck me when I was fiddling with the broadcast mechanism was
> that it should be possible to have a generic dummy timer implementation. As
> long as the architecture calls notifiers at the appropriate times, it should
> look like any other timer driver (apart from not touching any hardware). It just
> needs to depend on ARCH_HAS_TICK_BROADCAST.
> 
> I believe it shouldn't be too difficult to implement, though I may be blind to
> some problems.
> 
It would be nice to have a generic dummy timer driver, quite a few
architectures could use it directly already. If no one beats me to it,
I'll give it a go as I convert the SH stuff over to using
ARCH_HAS_TICK_BROADCAST and killing off the local timer API there.